import request from '@/utils/request'

// 创建仓库
export function createWarehouse(data) {
  return request({
    url: '/ecw/warehouse/create',
    method: 'post',
    data: data
  })
}

// 更新仓库
export function updateWarehouse(data) {
  return request({
    url: '/ecw/warehouse/update',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function deleteWarehouse(id) {
  return request({
    url: '/ecw/warehouse/delete?id=' + id,
    method: 'delete'
  })
}

// 获得仓库
export function getWarehouse(id) {
  return request({
    url: '/ecw/warehouse/get?id=' + id,
    method: 'get'
  })
}

// 获得仓库分页
export function getWarehousePage(query) {
  return request({
    url: '/ecw/warehouse/page',
    method: 'get',
    params: query
  })
}

// 获得仓库列表
export function getWarehouseList(query) {
  return request({
    url: '/ecw/warehouse/list',
    method: 'get',
    params: query
  })
}

// 导出仓库 Excel
export function exportWarehouseExcel(query) {
  return request({
    url: '/ecw/warehouse/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

/**所有线路列表 */
export function routerList(data) {
  return request({
    url: '/ecw/warehouse/routerList',
    method: 'post',
    data: data
  })
}

/**修改线路开通状态 */
export function changeRouteStatus(data) {
  return request({
    url: '/ecw/warehouse/changeRouteStatus',
    method: 'post',
    data: data
  })
}

/**查看已开通线路列表 */
export function openedRouterList(data = {}) {
  return request({
    url: '/ecw/warehouse/openedRouterList',
    method: 'post',
    data: data
  })
}

/**仓库绑定部门 */
export function deptBind(data) {
  return request({
    url: '/ecw/warehouse/deptBind',
    method: 'post',
    data: data
  })
}

/**获取已绑定的部门列表 */
export function deptList(data) {
  return request({
    url: '/ecw/warehouse/deptList',
    method: 'post',
    data: data
  })
}



